let state = {
	shopDetail: {}, //用户当前所属地区商家信息
	shopAction:{
		name:'',
		image:'',
	},//商店账号商家数据
	shopOrderDetail:{}//保存商家订单信息
}

let mutations = {
	
	setShopInfo(state, provider) {
		state.shopDetail = provider;
		uni.setStorage({ 
			key: 'shopDetail',
			data: provider
		})
	},
	setShopAction(state, provider) {
		state.shopAction = provider;
		uni.setStorage({ 
			key: 'shopDetailAction',
			data: provider
		})
	},
	setShopOrder(state, provider) {
		state.shopOrderDetail = provider;
		uni.setStorage({ 
			key: 'shopOrderDetail',
			data: provider
		})
	},
}

let getters = {}

export default {
	namespaced: true,
	state,
	mutations,
	getters
}
